IM_ADDGNOISE(3X)

NAME
im_addgnoise - add gaussian noise to an image

SYNOPSIS
#include <vips/vips.h> int im_addgnoise(in, out, sigma)
IMAGE *in, *out;
double sigma;

DESCRIPTION
im_addgnoise() adds gaussian noise with mean 0 and standard deviation sigma to the image held by the image descriptor in and writes the result on the image descriptor out. The function works on any non-complex input image. Input can have any no of bands. The noise is generated by adding 12 random numbers.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_add(3X), im_lintra(3X), im_multiply(3X).

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 25/04/1991